summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/xmoto/README5
-rw-r--r--games/xmoto/doinst.sh4
-rw-r--r--games/xmoto/slack-desc19
-rw-r--r--games/xmoto/xmoto.SlackBuild103
-rw-r--r--games/xmoto/xmoto.info10
5 files changed, 141 insertions, 0 deletions
diff --git a/games/xmoto/README b/games/xmoto/README
new file mode 100644
index 0000000000..8dc45b2e71
--- /dev/null
+++ b/games/xmoto/README
@@ -0,0 +1,5 @@
+X-Moto is a challenging 2D motocross platform game, where physics play an all
+important role in the gameplay. You need to control your bike to its limit, if
+you want to have a chance finishing the more difficult of the challenges.
+
+This requires lua and ode.
diff --git a/games/xmoto/doinst.sh b/games/xmoto/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/xmoto/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/xmoto/slack-desc b/games/xmoto/slack-desc
new file mode 100644
index 0000000000..72b3768d76
--- /dev/null
+++ b/games/xmoto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmoto: xmoto (2D motocross platform game)
+xmoto:
+xmoto: X-Moto is a challenging 2D motocross platform game, where physics
+xmoto: playan all important role in the gameplay. You need to control your
+xmoto: bike to its limit, if you want to have a chance finishing the more
+xmoto: difficult of the challenges.
+xmoto:
+xmoto: Homepage: http://xmoto.tuxfamily.org/
+xmoto:
+xmoto:
+xmoto:
diff --git a/games/xmoto/xmoto.SlackBuild b/games/xmoto/xmoto.SlackBuild
new file mode 100644
index 0000000000..fe7b3ebdc7
--- /dev/null
+++ b/games/xmoto/xmoto.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+# Updated by Alex Word <alex_word86@yahoo.com>
+
+PRGNAM=xmoto
+VERSION=0.5.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fix for newer libpng.
+sed -i \
+ -e 's:png_set_gray_1_2_4_to_8:png_set_expand_gray_1_2_4_to_8:' \
+ src/image/tim_png.cpp
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-ldl" \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --localedir=/usr/share/locale \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-localesdir=/usr/share/locale \
+ --disable-dependency-tracking \
+ --enable-threads=posix \
+ --with-internal-bz2=0 \
+ --with-internal-xdg=1 \
+ --with-renderer-sdlGfx=0 \
+ --with-renderer-openGl=1 \
+ --with-x \
+ --with-asian-ttf-file="/usr/share/fonts/TTF/wqy-zenhei.ttc" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+install -m 0644 extra/$PRGNAM.xpm $PKG/usr/share/pixmaps/
+install -m 0644 extra/$PRGNAM.desktop $PKG/usr/share/applications/
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING INSTALL NEWS README TODO ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/xmoto/xmoto.info b/games/xmoto/xmoto.info
new file mode 100644
index 0000000000..9e3ff36667
--- /dev/null
+++ b/games/xmoto/xmoto.info
@@ -0,0 +1,10 @@
+PRGNAM="xmoto"
+VERSION="0.5.3"
+HOMEPAGE="http://xmoto.tuxfamily.org/"
+DOWNLOAD="http://download.tuxfamily.org/xmoto/xmoto/0.5.3/xmoto-0.5.3-src.tar.gz"
+MD5SUM="7505965c1c64c0080023c7ed6d5cfedd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alex Word"
+EMAIL="alex_word86@yahoo.com"
+APPROVED="Erik Hanson"